#include "AboutDialog.hpp"

AboutDialog::AboutDialog(QWidget *p)
: QDialog(p), VER_MAJ(1), VER_MIN(0), VER_PAT(4)
{
	setWindowTitle("About tdcDemo application");
	QVBoxLayout *layout = new QVBoxLayout;
	QLabel *image = new QLabel;
	image->setPixmap(QPixmap(":/rsrc/logo.png"));
	QLabel *label = new QLabel;
	label->setFrameStyle(QFrame::Panel | QFrame::Sunken);
	fill_label_in(*label);
	layout->addWidget(image);
	layout->addWidget(label);
	setLayout(layout);
}

void AboutDialog::fill_label_in(QLabel &e)
{
	QString s;
	s.append("This program is designed to demonstrate basic\n");
	s.append("functionalities of the Surface Concept TDC hardware\n");
	s.append("(c) Surface Concept 2011\n\n");
	s.append(QString("Version: %1.%2.%3").arg(VER_MAJ).arg(VER_MIN).arg(VER_PAT));
	e.setText(s);
}
