#pragma once

#include<qwt_plot.h>
#include<qwt_plot_curve.h>
#include<qwt_plot_grid.h>
/**
 * @brief Mrates class shows 4 picks. All of them correspond to number of x1, x2, y1, y2
 * absolute value samples.
 */
class Mrates: public QwtPlot
{
		Q_OBJECT
	public:
		Mrates(QWidget *parent = 0);
	public slots:
		/**
		 * @brief This slot is called everytime when new set of data is ready to be shown.
		 */
		void newRates(QList <double>);
	private:
		QwtPlotCurve *curv[2];
		QwtPlotGrid *grid;
		double yScaleMax;
};
