#pragma once

#include "Mwidget.h"
#include <QMainWindow>
#include <QCloseEvent>
#include <QAction>
#include <QMenu>
#include <QMenuBar>

class MainWindow: public QMainWindow
{
		Q_OBJECT
	public:
		MainWindow(QWidget *p = 0);
	public slots:
		void show_message(QString);
	protected:
		void closeEvent(QCloseEvent *);
	private:
		QAction *quit;
		QAction *data_export;
		QAction *about;
		QAction *init_deinit;
		QMenu *menu_file;
		QMenu *menu_help;
		QMenu *menu_device;
		QMenuBar *menu_bar;
	private slots:
		void show_about();
};
