#include "iDataProcessor.hpp"
#include <limits>

iDataProcessor::iDataProcessor(HistoData &h)
: histo_data_(h)
{
	resetX();
}

int iDataProcessor::maxX() const
{
	return maxX_;
}

int iDataProcessor::minX() const
{
	return minX_;
};

void iDataProcessor::resetX()
{
	maxX_ = std::numeric_limits <int> ::min();
	minX_ = std::numeric_limits <int> ::max();
}
